Apple desarrolla un parche para una vulnerabilidad en iOS

CortafuegosEmpresasMovilidadSeguridadSO Móviles

La vulnerabilidad podría permitir que un hacker instalara de forma remota malware en un dispositivo que ejecute iOS.

Apple anunció ayer que está desarrollando un parche para algunas vulnerabilidades que afectan a sus iPhones, iPads y algunos modelos de iPod Touch, un problema que podría llevar al robo de información confidencial.

Las vulnerabilidades se han hecho públicas esta semana con el lanzamiento de JailbreakMe 3.0, una aplicación que permite que aplicaciones no autorizadas sean instaladas en dispositivos como el iPhone y que precisamente utiliza una de las vulnerabilidades para poder ejecutarse.

Aunque Apple prohíbe la instalación de aplicaciones no autorizadas en su terminal móvil, los hackers buscan la manera de saltarse la regla, habitualmente utilizando alguna vulnerabilidad en el sistema operativo iOS, y realizando lo que se conoce como ‘jailbroken’, es decir modificar el dispositivo para que pueda ejecutar aplicaciones que no están en la App Store.

Esta semana se ha alertado de una vulnerabilidad que podría ser explotada si un usuario abre un archivo PDF especialmente manipulado y que tiene que ver con la manera en que iOS analiza las fuentes dentro del navegador Safari.

Existe además otra vulnerabilidad que evita la ASLR (Address Space Layout Randomization), una característica de seguridad que complica la manera en la que los programas son cargados en la memoria, lo que dificulta la tarea del atacante.

Lea también :